<!--
* Esta es la interfaz encargada de crear nuestra clase principal
* @author Cristian Camilo Diaz <cristian.camilo0614@gmail.com>
* @version 2020-11-04
-->

<!--Insertamos la imagen de bienvenida-->
<img style="margin-left: 12em;" src="../../../assets/image/ul.jpg">

<br> <br><br> <br>

<!--Creamos unas carda-columns en las cuales colocaremos cada una de las casas de la
    api de harry que nos retona el Json, e insertamos una imagen con el escudo respresentativo  
     de cada una de estas casas -->
<div class="card-columns" style="margin-left: 14em;">

    <div class="card animated fadeIn fast" *ngFor="let houses of respuesta;">

        <a style="size: 19em; " style="margin-left: 5em; ">{{houses.name}}</a>
        <br>
        <img class="imags " style="margin-left: 2em; " src="../../../assets/image/{{houses.name}}.jpg ">

        <br><br> <br>
        <a>Cantidad de Miembros de esta Casa: </a>
        <a style="size: 19em; ">{{houses.members.length}}</a>
        <br> <br>

        <button (click)="seeHouse(houses) " type="button " class="btn btn-outline-primary " style="margin-left: 3em;">
            Ver Detalles de la casa
        </button>

    </div>
</div>


<div class="card-columns" style="margin-left: 14em;">

    <a *ngFor="let houses of respuesta;">




        <a style="size: 19em; " style="margin-left: 5em; ">{{houses.members.length}}</a>
        <br>


    </a>
</div>